Bug 2238459 - Review Request: mvfst - An implementation of the QUIC transport protocol
Summary: Review Request: mvfst - An implementation of the QUIC transport protocol
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Davide Cavalca
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-09-12 04:04 UTC by Michel Lind
Modified: 2023-09-13 02:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-13 02:52:56 UTC
Type: ---
Embargoed:
davide: fedora-review+


Attachments (Terms of Use)

Description Michel Lind 2023-09-12 04:04:18 UTC
Spec URL: https://salimma.fedorapeople.org/mvfst.spec
SRPM URL: https://salimma.fedorapeople.org/mvfst-2023.09.11.00-1.fc38.src.rpm

Description:
mvfst (Pronounced move fast) is a client and server implementation of IETF QUIC
protocol in C++ by Facebook. QUIC is a UDP based reliable, multiplexed transport
protocol that will become an internet standard. The goal of mvfst is to build a
performant implementation of the QUIC transport protocol that applications could
adapt for use cases on both the internet and the data-center. mvfst has been
tested at scale on android, iOS apps, as well as servers and has several
features to support large scale deployments.

Fedora Account System Username: salimma

Comment 1 Michel Lind 2023-09-12 04:09:31 UTC
Need to be tested against f40-build-side-73448: https://koji.fedoraproject.org/koji/builds?inherited=0&tagID=73448&order=-build_id&latest=1

$ koji build --scratch f40-build-side-73448 mvfst-2023.09.11.00-1.fc38.src.rpm

https://koji.fedoraproject.org/koji/taskinfo?taskID=106067953

Comment 2 Davide Cavalca 2023-09-12 04:16:59 UTC
Review notes:

* Package follows packaging guidelines
* Package builds and installs properly
* Package licensing is correct and license files are collected

APPROVED

Comment 3 Fedora Admin user for bugzilla script actions 2023-09-12 04:19:57 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/mvfst

Comment 4 Fedora Update System 2023-09-13 02:50:38 UTC
FEDORA-2023-0b47a6321b has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-0b47a6321b

Comment 5 Fedora Update System 2023-09-13 02:52:56 UTC
FEDORA-2023-0b47a6321b has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.